name: jackettio
services:

  flaresolverr:
    image: ghcr.io/flaresolverr/flaresolverr:latest
    container_name: flaresolverr-alt
    environment:
      - LOG_LEVEL=${LOG_LEVEL:-info}
      - LOG_HTML=${LOG_HTML:-false}
      - CAPTCHA_SOLVER=${CAPTCHA_SOLVER:-none}
    networks:
      - jackettio
    restart: unless-stopped

  jackett:
    image: lscr.io/linuxserver/jackett:latest
    container_name: jackett-alt
    environment:
      - AUTO_UPDATE=true
      - RUN_OPTS=
    depends_on:
      - flaresolverr
    networks:
      - jackettio
    restart: unless-stopped
    volumes:
      - jackett-config:/config
      - jackett-downloads:/downloads

  jackettio:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: jackettio
    env_file:
      - .env
    environment:
      - NODE_ENV=production
      - DATA_FOLDER=/data
    depends_on:
      - jackett
    networks:
      - jackettio
    restart: unless-stopped
    volumes:
      - jackettio-data:/data
    ports:
      - "4000:4000"

networks:
  jackettio:

volumes:
  jackett-config:
  jackett-downloads:
  jackettio-data:
